changeset 95:a96c14daa4c7

The kernel changed out from under us a bit, update to work with 2.6.25-pre1.
author Rob Landley <rob@landley.net>
date Fri, 08 Feb 2008 19:26:20 -0600
parents d3a9753eea24
children 1a5532f18570
files make/functions.sh
diffstat 1 files changed, 5 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/make/functions.sh	Thu Nov 15 16:27:45 2007 -0600
+++ b/make/functions.sh	Fri Feb 08 19:26:20 2008 -0600
@@ -122,7 +122,7 @@
     mkdir -p "$WEBDIR"/menuconfig &&
     echo "<html><title>Menuconfig docs for Linux $LNXTAG</title><body><ul>" > \
       "$WEBDIR"/menuconfig/index.html &&
-    for i in $(find arch -maxdepth 2 -name Kconfig | sort)
+    for i in $(echo arch/*/Kconfig | sort)
     do
       echo Converting "$i" &&
       ARCH=$(echo $i | sed -r 's@.*/(.*)/.*@\1@') &&
@@ -245,7 +245,10 @@
     for i in "$WEBDIR"/make/patches/*.patch
     do
       echo $i
-      patch -p1 -i $i || exit 1
+      if [ -f "$i" ]
+      then
+        patch -p1 -i $i || exit 1
+      fi
     done
 
     # Do setup we'll need later.